Bug 227707 - Volume groups not made available prior to init_crypto and fsck
Volume groups not made available prior to init_crypto and fsck
Status: CLOSED DUPLICATE of bug 221304
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-07 13:02 EST by Robert Hare
Modified: 2014-03-16 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 16:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rc.sysinit patch to call vgchange prior to first init_crypto call. (554 bytes, patch)
2007-02-07 13:02 EST, Robert Hare
no flags Details | Diff

  None (edit)
Description Robert Hare 2007-02-07 13:02:57 EST
Description of problem:
If a machine has more than one volume group, only the volume group that contains
the root partition appears to be made available (messages output write before
rc.sysinit is called show this).  Then if the partition is encrypted and an
entry in /etc/crypttab, the mapping will not occur since it's not available,
next, if the partition is in /etc/fstab for mounting, it will then fail the fsck
checks and drop to single user to correct the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Create a second volume group
2. Create a encrypted (I used luks) partition on it.
3. Add an entry to /etc/cryttab for the partition
4. Add an entry to /etc/fstab for the partition.
  
Actual results:
fsck fails because the crypto mapping was never done and the machine drops to
single user mode to fix the problem.


Expected results:
Filesystems mounted as expected.

Additional info:
Moving the vgchange in the script (rc.sysinit) to occur before the first
init_crypto call solves the problem for myself, not sure if it might break other
things (patch for the change attached).
Comment 1 Robert Hare 2007-02-07 13:02:57 EST
Created attachment 147578 [details]
rc.sysinit patch to call vgchange prior to first init_crypto call.
Comment 2 Bug Zapper 2008-04-04 02:08:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Charles R. Anderson 2008-04-09 16:05:39 EDT

*** This bug has been marked as a duplicate of 221304 ***

Note You need to log in before you can comment on or make changes to this bug.